Bug 166328 - Thunderbird won't start after fontconfig update
Thunderbird won't start after fontconfig update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
:
: 172500 (view as bug list)
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2005-08-19 05:25 EDT by Seika van Olstroem
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-17 11:49:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seika van Olstroem 2005-08-19 05:25:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
After I've updated some GTK libs, Cairo, ... Thunderbird did not start. No error messages or anything else is displayed.

This bug sounds similiar to this one found at firefox (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166162)

If I start Thunderbird with this commandline, Thunderbird starts:
MOZ_DISABLE_PANGO=1 thunderbird

Version-Release number of selected component (if applicable):
Thunderbird 1.0.6-4

How reproducible:
Always

Steps to Reproduce:
1. Try to start it
2.
3.
  

Actual Results:  Nothing, Thunderbird quits without any message.

Additional info:
Comment 1 John Ellson 2005-10-30 09:37:45 EST
I'm having the same problem, but "MOZ_DISABLE_PANGO=1 thunderbird" is only 
fixing it for a local copy of thunderbird.  I need to get my corporate email via
an X-remote session over ssh and thunderbird on the remote system still doesn't
work when started like this.   Both ends are uptodate Fedora Rawhide.
Comment 2 John Ellson 2005-10-30 11:16:18 EST
I suspect that the new /usr/bin/sort from coreutils-5.92-1.x86_64.rpm is
breaking something in fontconfig's font caching.

I am able to fix the thunderbird problem by:
    downgrading to coreutils-5.2.1-56
    reinstalling fontconfig-2.3.91 to rebuild its caches using "rpm -Uvh
--replacepkgs"

See also bug#172028 "sort breaks autofs"
Comment 3 Geoff Reedy 2005-10-30 18:12:26 EST
I was able to fix the problem (and run firefox and thunderbird again) by just
running fc-cache -f -s as root which is the post-install script for fontconfig.
 I don't think this one has anything to do with sort; reinstalling fontconfig is
what made it work for John Ellson.
Comment 4 Christopher Aillon 2005-11-07 10:29:58 EST
*** Bug 172500 has been marked as a duplicate of this bug. ***
Comment 5 Brian Gerst 2005-11-15 19:13:11 EST
I can't start firefox/thunderbird either after updating fontconfig.  Rolling
back to fontconfig-2.3.91.cvs20051031-1.x86_64.rpm fixes the problem.

Starting program: /usr/lib64/thunderbird-1.5/thunderbird-bin
[Thread debugging using libthread_db enabled]
[New Thread 46912502701712 (LWP 4876)]
[New Thread 1084229984 (LWP 4879)]
[New Thread 1094719840 (LWP 4880)]
[New Thread 1105209696 (LWP 4881)]
[New Thread 1115699552 (LWP 4882)]
[New Thread 1126189408 (LWP 4883)]
[New Thread 1136679264 (LWP 4884)]
Detaching after fork from child process 4885.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912502701712 (LWP 4876)]
nsHTMLReflowState::CalcLineHeight (aPresContext=Variable "aPresContext" is not
available.
) at nsHTMLReflowState.cpp:2228
2228      aFontMetrics->GetNormalLineHeight(normalLineHeight);
(gdb) bt
#0  nsHTMLReflowState::CalcLineHeight (aPresContext=Variable "aPresContext" is
not available.
) at nsHTMLReflowState.cpp:2228
#1  0x00002aaab0f200dd in nsBlockReflowState (this=0x7fffffa0e970,
aReflowState=@0x7fffffa0ee80, aPresContext=0x109f080, aFrame=0x13bf248,
    aMetrics=@0x7fffffa0efec, aTopMarginRoot=0, aBottomMarginRoot=0) at
nsBlockReflowState.cpp:172
#2  0x00002aaab0f1d4f2 in nsBlockFrame::Reflow (this=0x13bf248,
aPresContext=0x134f050, aMetrics=@0x7fffffa0efec,
    aReflowState=@0x7fffffa0ee80, aStatus=@0x7fffffa0ef90) at nsBlockFrame.cpp:770
#3  0x00002aaab0f1f5f9 in nsBlockReflowContext::ReflowBlock
(this=0x7fffffa0ef90, aSpace=Variable "aSpace" is not available.
) at nsBlockReflowContext.cpp:605
#4  0x00002aaab0f1b9b2 in nsBlockFrame::ReflowBlockFrame (this=0x13bee10,
aState=@0x7fffffa0f390, aLine={mCurrent = 0x13cf6e8},
    aKeepReflowGoing=0x7fffffa0f104) at nsBlockFrame.cpp:3449
#5  0x00002aaab0f1bf93 in nsBlockFrame::ReflowLine (this=0x13bee10,
aState=@0x7fffffa0f390, aLine={mCurrent = 0x13cf6e8},
    aKeepReflowGoing=0x7fffffa0f31c, aDamageDirtyArea=1) at nsBlockFrame.cpp:2610
#6  0x00002aaab0f1c5d4 in nsBlockFrame::ReflowDirtyLines (this=0x13bee10,
aState=@0x7fffffa0f390, aTryPull=1) at nsBlockFrame.cpp:2262
#7  0x00002aaab0f1d6d7 in nsBlockFrame::Reflow (this=0x13bee10,
aPresContext=0x109f080, aMetrics=@0x7fffffa0f820,
    aReflowState=@0x7fffffa0f710, aStatus=@0x7fffffa0fa9c) at nsBlockFrame.cpp:902
#8  0x00002aaab0f245e5 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#9  0x00002aaab0f39b3e in CanvasFrame::Reflow (this=0x138ff80,
aPresContext=0x109f080, aDesiredSize=@0x7fffffa0fb30,
    aReflowState=@0x7fffffa0f950, aStatus=@0x7fffffa0fa9c) at nsHTMLFrame.cpp:531
#10 0x00002aaab0f245e5 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#11 0x00002aaab0f35bdf in nsHTMLScrollFrame::ReflowScrolledFrame
(this=0x13901c8, aState=Variable "aState" is not available.
) at nsGfxScrollFrame.cpp:515
#12 0x00002aaab0f35cd2 in nsHTMLScrollFrame::ReflowContents (this=0x13901c8,
aState=0x7fffffa0fbf0, aDesiredSize=@0x7fffffa10040)
    at nsGfxScrollFrame.cpp:570
#13 0x00002aaab0f37386 in nsHTMLScrollFrame::Reflow (this=0x13901c8,
aPresContext=Variable "aPresContext" is not available.
) at nsGfxScrollFrame.cpp:768
#14 0x00002aaab0f245e5 in nsContainerFrame::ReflowChild (this=Variable "this" is
not available.
) at nsContainerFrame.cpp:904
#15 0x00002aaab0f70d73 in ViewportFrame::Reflow (this=0x138fe80,
aPresContext=0x109f080, aDesiredSize=@0x7fffffa102a0,
    aReflowState=@0x7fffffa10110, aStatus=@0x7fffffa1024c) at
nsViewportFrame.cpp:239
#16 0x00002aaab0f03695 in IncrementalReflow::Dispatch (this=0x7fffffa102f0,
aPresContext=0x109f080, aDesiredSize=@0x7fffffa102a0,
    aMaxSize=@0x7fffffa102e0, aRendContext=@0x1381ef0) at nsPresShell.cpp:906
#17 0x00002aaab0f06eab in PresShell::ProcessReflowCommands (this=0x138eb10,
aInterruptible=1) at nsPresShell.cpp:6866
#18 0x00002aaab0f0f6f3 in ReflowEvent::HandleEvent (this=Variable "this" is not
available.
) at nsPresShell.cpp:6695
#19 0x00002aaaaae15962 in PL_HandleEvent (self=0x13d3690) at plevent.c:688
#20 0x00002aaaaae15d76 in PL_ProcessPendingEvents (self=0x5dca50) at plevent.c:623
#21 0x00000000006d0370 in ?? ()
#22 0x00002aaaaae1711f in nsEventQueueImpl::ProcessPendingEvents (this=0x130c)
at nsEventQueue.cpp:417
#23 0x00002aaaafa55067 in event_processor_callback (source=Variable "source" is
not available.
) at nsAppShell.cpp:67
#24 0x0000003b52225dde in IA__g_main_context_dispatch (context=0x54a780) at
gmain.c:1934
#25 0x0000003b52228aa5 in g_main_context_iterate (context=0x54a780, block=1,
dispatch=1, self=Variable "self" is not available.
) at gmain.c:2565
#26 0x0000003b52228f90 in IA__g_main_loop_run (loop=0xa1b170) at gmain.c:2769
#27 0x0000003b55b0c0c5 in IA__gtk_main () at gtkmain.c:985
#28 0x00002aaaafa553c6 in nsAppShell::Run (this=0x699a70) at nsAppShell.cpp:139
#29 0x00002aaab0048e0a in nsAppStartup::Run (this=0x6999f0) at nsAppStartup.cpp:150
#30 0x000000000040ccb8 in XRE_main (argc=-6224080, argv=0x7fffffa10850,
aAppData=0x2aaab06147da) at nsAppRunner.cpp:2313
#31 0x0000003b52d1cd2f in __libc_start_main () from /lib64/libc.so.6
#32 0x00000000004080c9 in _start ()
#33 0x00007fffffa10b78 in ?? ()
#34 0x0000000000000000 in ?? ()
Comment 6 Brian Gerst 2005-11-17 11:45:42 EST
After the Modular X update, thunderbird and firefox are working again with the
new fontconfig.
Comment 7 Christopher Aillon 2005-11-17 11:49:32 EST
Based on last comment, closing this issue.

Note You need to log in before you can comment on or make changes to this bug.